package com.bonus.canteen.core.supply.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.time.LocalDateTime;

@ApiModel
public class DrpRefundGoodsPageVO {
   @ApiModelProperty("退货单号")
   private String refundGoodsId;
   @ApiModelProperty("供应商id")
   private Long supplierId;
   @ApiModelProperty("供应商")
   private String supplierName;
   @ApiModelProperty("退货时间")
   private LocalDateTime refundTime;
   @ApiModelProperty("所属区域id")
   private Long areaId;
   @ApiModelProperty("所属区域")
   private String areaName;
   @ApiModelProperty("退货仓库id")
   private Long warehouseId;
   @ApiModelProperty("退货仓库")
   private String warehouseName;
   @ApiModelProperty("退货人")
   private String refundName;
   @ApiModelProperty("退货金额")
   private Long refundTotalAmount;
   @ApiModelProperty("退货数量")
   private BigDecimal refundTotalNum;
   @ApiModelProperty("关联采购单号")
   private String relateOrderGoodsId;
   @ApiModelProperty("是否出库(1已出库，2未出库)")
   private Integer ifOut;
   @ApiModelProperty("创建人")
   private String crby;
   @ApiModelProperty("创建时间")
   private LocalDateTime crtime;
   @ApiModelProperty("更新人")
   private String upby;
   @ApiModelProperty("更新时间")
   private LocalDateTime uptime;

   public String getRefundGoodsId() {
      return this.refundGoodsId;
   }

   public Long getSupplierId() {
      return this.supplierId;
   }

   public String getSupplierName() {
      return this.supplierName;
   }

   public LocalDateTime getRefundTime() {
      return this.refundTime;
   }

   public Long getAreaId() {
      return this.areaId;
   }

   public String getAreaName() {
      return this.areaName;
   }

   public Long getWarehouseId() {
      return this.warehouseId;
   }

   public String getWarehouseName() {
      return this.warehouseName;
   }

   public String getRefundName() {
      return this.refundName;
   }

   public Long getRefundTotalAmount() {
      return this.refundTotalAmount;
   }

   public BigDecimal getRefundTotalNum() {
      return this.refundTotalNum;
   }

   public String getRelateOrderGoodsId() {
      return this.relateOrderGoodsId;
   }

   public Integer getIfOut() {
      return this.ifOut;
   }

   public String getCrby() {
      return this.crby;
   }

   public LocalDateTime getCrtime() {
      return this.crtime;
   }

   public String getUpby() {
      return this.upby;
   }

   public LocalDateTime getUptime() {
      return this.uptime;
   }

   public DrpRefundGoodsPageVO setRefundGoodsId(final String refundGoodsId) {
      this.refundGoodsId = refundGoodsId;
      return this;
   }

   public DrpRefundGoodsPageVO setSupplierId(final Long supplierId) {
      this.supplierId = supplierId;
      return this;
   }

   public DrpRefundGoodsPageVO setSupplierName(final String supplierName) {
      this.supplierName = supplierName;
      return this;
   }

   public DrpRefundGoodsPageVO setRefundTime(final LocalDateTime refundTime) {
      this.refundTime = refundTime;
      return this;
   }

   public DrpRefundGoodsPageVO setAreaId(final Long areaId) {
      this.areaId = areaId;
      return this;
   }

   public DrpRefundGoodsPageVO setAreaName(final String areaName) {
      this.areaName = areaName;
      return this;
   }

   public DrpRefundGoodsPageVO setWarehouseId(final Long warehouseId) {
      this.warehouseId = warehouseId;
      return this;
   }

   public DrpRefundGoodsPageVO setWarehouseName(final String warehouseName) {
      this.warehouseName = warehouseName;
      return this;
   }

   public DrpRefundGoodsPageVO setRefundName(final String refundName) {
      this.refundName = refundName;
      return this;
   }

   public DrpRefundGoodsPageVO setRefundTotalAmount(final Long refundTotalAmount) {
      this.refundTotalAmount = refundTotalAmount;
      return this;
   }

   public DrpRefundGoodsPageVO setRefundTotalNum(final BigDecimal refundTotalNum) {
      this.refundTotalNum = refundTotalNum;
      return this;
   }

   public DrpRefundGoodsPageVO setRelateOrderGoodsId(final String relateOrderGoodsId) {
      this.relateOrderGoodsId = relateOrderGoodsId;
      return this;
   }

   public DrpRefundGoodsPageVO setIfOut(final Integer ifOut) {
      this.ifOut = ifOut;
      return this;
   }

   public DrpRefundGoodsPageVO setCrby(final String crby) {
      this.crby = crby;
      return this;
   }

   public DrpRefundGoodsPageVO setCrtime(final LocalDateTime crtime) {
      this.crtime = crtime;
      return this;
   }

   public DrpRefundGoodsPageVO setUpby(final String upby) {
      this.upby = upby;
      return this;
   }

   public DrpRefundGoodsPageVO setUptime(final LocalDateTime uptime) {
      this.uptime = uptime;
      return this;
   }

   public String toString() {
      String var10000 = this.getRefundGoodsId();
      return "DrpRefundGoodsPageVO(refundGoodsId=" + var10000 + ", supplierId=" + this.getSupplierId() + ", supplierName=" + this.getSupplierName() + ", refundTime=" + String.valueOf(this.getRefundTime()) + ", areaId=" + this.getAreaId() + ", areaName=" + this.getAreaName() + ", warehouseId=" + this.getWarehouseId() + ", warehouseName=" + this.getWarehouseName() + ", refundName=" + this.getRefundName() + ", refundTotalAmount=" + this.getRefundTotalAmount() + ", refundTotalNum=" + String.valueOf(this.getRefundTotalNum()) + ", relateOrderGoodsId=" + this.getRelateOrderGoodsId() + ", ifOut=" + this.getIfOut() + ", crby=" + this.getCrby() + ", crtime=" + String.valueOf(this.getCrtime()) + ", upby=" + this.getUpby() + ", uptime=" + String.valueOf(this.getUptime()) + ")";
   }
}
